https://management-test.adyen.com/v1/terminals/{terminalId}/terminalLogosUpdates the logo for the payment terminal identified in the path. * To change the logo, specify the image file as a Base64-encoded string. * To restore the logo inherited from a higher level (store, merchant account, or company account), specify an empty logo value. To make this request, your API credential must have the following role: * Management API—Terminal settings read and write
The unique identifier of the payment terminal.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request PATCH \2 --url 'https://management-test.adyen.com/v1/terminals/{terminalId}/terminalLogos' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}https://management-test.adyen.com/v1/terminals/{terminalId}/terminalLogosUpdates the logo for the payment terminal identified in the path. * To change the logo, specify the image file as a Base64-encoded string. * To restore the logo inherited from a higher level (store, merchant account, or company account), specify an empty logo value. To make this request, your API credential must have the following role: * Management API—Terminal settings read and write
The unique identifier of the payment terminal.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request PATCH \2 --url 'https://management-test.adyen.com/v1/terminals/{terminalId}/terminalLogos' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}